<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>The m17n Library: FLT API</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>FLT API</h1>
<p>API provided by libm17n-flt.so.  
<a href="#_details">More...</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Structures</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyph.html">MFLTGlyph</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Type of information about a glyph.  <a href="structMFLTGlyph.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyphAdjustment.html">MFLTGlyphAdjustment</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Type of information about a glyph position adjustment.  <a href="structMFLTGlyphAdjustment.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyphString.html">MFLTGlyphString</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Type of information about a glyph sequence.  <a href="structMFLTGlyphString.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTOtfSpec.html">MFLTOtfSpec</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Type of specification of GSUB and GPOS OpenType tables.  <a href="structMFLTOtfSpec.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTFont.html">MFLTFont</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Type of font to be used by the FLT driver.  <a href="structMFLTFont.html#_details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2>Typedefs</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef struct _MFLT&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFLT.html#ga28abba06fa26ca3d9389382261905add">MFLT</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Type of FLT (Font Layout Table).  <a href="#ga28abba06fa26ca3d9389382261905add"></a><br/></td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFLT.html#ga28abba06fa26ca3d9389382261905add">MFLT</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFLT.html#ga3f239eb3dc7eb38ba2784959f6be8a9b">mflt_get</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> name)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return an FLT object that has a specified name.  <a href="#ga3f239eb3dc7eb38ba2784959f6be8a9b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFLT.html#ga28abba06fa26ca3d9389382261905add">MFLT</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFLT.html#gaadd34d825776eff1571a6ec1ebf18213">mflt_find</a> (int c, <a class="el" href="structMFLTFont.html">MFLTFont</a> *font)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Find an FLT suitable for the specified character and font.  <a href="#gaadd34d825776eff1571a6ec1ebf18213"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFLT.html#ga1a01dd37b3e13e32317694164cb2bae7">mflt_name</a> (<a class="el" href="group__m17nFLT.html#ga28abba06fa26ca3d9389382261905add">MFLT</a> *flt)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return the name of an FLT.  <a href="#ga1a01dd37b3e13e32317694164cb2bae7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nChartable.html#ga241f7150476db7182aecb944b711c546">MCharTable</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFLT.html#ga6da91edea6065f90515c24fd48455e54">mflt_coverage</a> (<a class="el" href="group__m17nFLT.html#ga28abba06fa26ca3d9389382261905add">MFLT</a> *flt)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return a coverage of a FLT.  <a href="#ga6da91edea6065f90515c24fd48455e54"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFLT.html#gab7bf42cc0f306fb6058ba5d10e79e27d">mflt_run</a> (<a class="el" href="structMFLTGlyphString.html">MFLTGlyphString</a> *gstring, int from, int to, <a class="el" href="structMFLTFont.html">MFLTFont</a> *font, <a class="el" href="group__m17nFLT.html#ga28abba06fa26ca3d9389382261905add">MFLT</a> *flt)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Layout characters with an FLT.  <a href="#gab7bf42cc0f306fb6058ba5d10e79e27d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFLT.html#ga28abba06fa26ca3d9389382261905add">MFLT</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFLT.html#gaad4554d5e2eea550061234debdf6f0c8">mdebug_dump_flt</a> (<a class="el" href="group__m17nFLT.html#ga28abba06fa26ca3d9389382261905add">MFLT</a> *flt, int indent)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Dump a Font Layout Table.  <a href="#gaad4554d5e2eea550061234debdf6f0c8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFLT.html#ga117deb444c67e3e003f9727ca54cb095">mflt_dump_gstring</a> (<a class="el" href="structMFLTGlyphString.html">MFLTGlyphString</a> *gstring)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Dump an <a class="el" href="structMFLTGlyphString.html" title="Type of information about a glyph sequence.">MFLTGlyphString</a>.  <a href="#ga117deb444c67e3e003f9727ca54cb095"></a><br/></td></tr>
<tr><td colspan="2"><h2>Variables</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFLT.html#ga8fa9d49e4291440961b37717afce653b">mflt_enable_new_feature</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Flag to control several new OTF handling commands.  <a href="#ga8fa9d49e4291440961b37717afce653b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int(*&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFLT.html#ga2286495d42b49ce59cb0730482a89c70">mflt_iterate_otf_feature</a> )(struct _MFLTFont *font, <a class="el" href="structMFLTOtfSpec.html">MFLTOtfSpec</a> *spec, int from, int to, unsigned char *table)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>(*&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFLT.html#ga34b4a542edc38d30fe6c5fc326b5a987">mflt_font_id</a> )(struct _MFLTFont *font)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int(*&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFLT.html#gac5e9a0518e0ca3b1ead5a7a9050846bb">mflt_try_otf</a> )(struct _MFLTFont *font, <a class="el" href="structMFLTOtfSpec.html">MFLTOtfSpec</a> *spec, <a class="el" href="structMFLTGlyphString.html">MFLTGlyphString</a> *gstring, int from, int to)</td></tr>
</table>
<hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>API provided by libm17n-flt.so. </p>
<p>FLT support for a window system.</p>
<p>This section defines the m17n FLT API concerning character layouting facility using FLT (Font Layout Table). The format of FLT is described in <a class="el" href="m17nDBFormat.html#mdbFLT">Font Layout Table</a>. </p>
<hr/><h2>Typedef Documentation</h2>
<a class="anchor" id="ga28abba06fa26ca3d9389382261905add"></a><!-- doxytag: member="m17n&#45;flt.h::MFLT" ref="ga28abba06fa26ca3d9389382261905add" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct _MFLT <a class="el" href="group__m17nFLT.html#ga28abba06fa26ca3d9389382261905add">MFLT</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Type of FLT (Font Layout Table). </p>
<p>The type <a class="el" href="group__m17nFLT.html#ga28abba06fa26ca3d9389382261905add" title="Type of FLT (Font Layout Table).">MFLT</a> is for an FLT object. Its internal structure is concealed from application programs. </p>

</div>
</div>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="ga3f239eb3dc7eb38ba2784959f6be8a9b"></a><!-- doxytag: member="m17n&#45;flt.h::mflt_get" ref="ga3f239eb3dc7eb38ba2784959f6be8a9b" args="(MSymbol name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFLT.html#ga28abba06fa26ca3d9389382261905add">MFLT</a> * mflt_get </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>name</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return an FLT object that has a specified name. </p>
<p>The <a class="el" href="group__m17nFLT.html#ga3f239eb3dc7eb38ba2784959f6be8a9b" title="Return an FLT object that has a specified name.">mflt_get()</a> function returns an FLT object whose name is <b>name</b>.</p>
<dl class="user"><dt><b>Return value:</b></dt><dd>If the operation was successful, <a class="el" href="group__m17nFLT.html#ga3f239eb3dc7eb38ba2784959f6be8a9b" title="Return an FLT object that has a specified name.">mflt_get()</a> returns a pointer to the found FLT object. Otherwise, it returns <code>NULL</code>. </dd></dl>

</div>
</div>
<a class="anchor" id="gaadd34d825776eff1571a6ec1ebf18213"></a><!-- doxytag: member="m17n&#45;flt.h::mflt_find" ref="gaadd34d825776eff1571a6ec1ebf18213" args="(int c, MFLTFont *font)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFLT.html#ga28abba06fa26ca3d9389382261905add">MFLT</a> * mflt_find </td>
          <td>(</td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>c</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structMFLTFont.html">MFLTFont</a> *&nbsp;</td>
          <td class="paramname"> <em>font</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Find an FLT suitable for the specified character and font. </p>
<p>The <a class="el" href="group__m17nFLT.html#gaadd34d825776eff1571a6ec1ebf18213" title="Find an FLT suitable for the specified character and font.">mflt_find()</a> function returns the most appropriate FLT for layouting character <b>c</b> with font <b>font</b>.</p>
<dl class="user"><dt><b>Return value:</b></dt><dd>If the operation was successful, <a class="el" href="group__m17nFLT.html#gaadd34d825776eff1571a6ec1ebf18213" title="Find an FLT suitable for the specified character and font.">mflt_find()</a> returns a pointer to the found FLT object. Otherwise, it returns <code>NULL</code>. </dd></dl>

</div>
</div>
<a class="anchor" id="ga1a01dd37b3e13e32317694164cb2bae7"></a><!-- doxytag: member="m17n&#45;flt.h::mflt_name" ref="ga1a01dd37b3e13e32317694164cb2bae7" args="(MFLT *flt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char * mflt_name </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nFLT.html#ga28abba06fa26ca3d9389382261905add">MFLT</a> *&nbsp;</td>
          <td class="paramname"> <em>flt</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return the name of an FLT. </p>
<p>The <a class="el" href="group__m17nFLT.html#ga1a01dd37b3e13e32317694164cb2bae7" title="Return the name of an FLT.">mflt_name()</a> function returns the name of <b>flt</b>. </p>

</div>
</div>
<a class="anchor" id="ga6da91edea6065f90515c24fd48455e54"></a><!-- doxytag: member="m17n&#45;flt.h::mflt_coverage" ref="ga6da91edea6065f90515c24fd48455e54" args="(MFLT *flt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nChartable.html#ga241f7150476db7182aecb944b711c546">MCharTable</a> * mflt_coverage </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nFLT.html#ga28abba06fa26ca3d9389382261905add">MFLT</a> *&nbsp;</td>
          <td class="paramname"> <em>flt</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return a coverage of a FLT. </p>
<p>The <a class="el" href="group__m17nFLT.html#ga6da91edea6065f90515c24fd48455e54" title="Return a coverage of a FLT.">mflt_coverage()</a> function returns a char-table that contains nonzero values for characters supported by <b>flt</b>. </p>

</div>
</div>
<a class="anchor" id="gab7bf42cc0f306fb6058ba5d10e79e27d"></a><!-- doxytag: member="m17n&#45;flt.h::mflt_run" ref="gab7bf42cc0f306fb6058ba5d10e79e27d" args="(MFLTGlyphString *gstring, int from, int to, MFLTFont *font, MFLT *flt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mflt_run </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structMFLTGlyphString.html">MFLTGlyphString</a> *&nbsp;</td>
          <td class="paramname"> <em>gstring</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>from</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>to</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structMFLTFont.html">MFLTFont</a> *&nbsp;</td>
          <td class="paramname"> <em>font</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nFLT.html#ga28abba06fa26ca3d9389382261905add">MFLT</a> *&nbsp;</td>
          <td class="paramname"> <em>flt</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Layout characters with an FLT. </p>
<p>The <a class="el" href="group__m17nFLT.html#gab7bf42cc0f306fb6058ba5d10e79e27d" title="Layout characters with an FLT.">mflt_run()</a> function layouts characters in <b>gstring</b> between <b>from</b> (inclusive) and <b>to</b> (exclusive) with <b>font</b>. If <b>flt</b> is nonzero, it is used for all the charaters. Otherwise, appropriate FLTs are automatically chosen.</p>
<dl><dt><b>Return values:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>&gt;=0</em>&nbsp;</td><td>The operation was successful. The value is the index to the glyph, which was previously indexed by <b>to</b>, in <b>gstring-&gt;glyphs</b>.</td></tr>
    <tr><td valign="top"></td><td valign="top"><em>-2</em>&nbsp;</td><td><b>gstring-&gt;glyphs</b> is too short to store the result. The caller can call this fucntion again with a longer <b>gstring-&gt;glyphs</b>.</td></tr>
    <tr><td valign="top"></td><td valign="top"><em>-1</em>&nbsp;</td><td>Some other error occurred. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gaad4554d5e2eea550061234debdf6f0c8"></a><!-- doxytag: member="m17n&#45;flt.c::mdebug_dump_flt" ref="gaad4554d5e2eea550061234debdf6f0c8" args="(MFLT *flt, int indent)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFLT.html#ga28abba06fa26ca3d9389382261905add">MFLT</a>* mdebug_dump_flt </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nFLT.html#ga28abba06fa26ca3d9389382261905add">MFLT</a> *&nbsp;</td>
          <td class="paramname"> <em>flt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>indent</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Dump a Font Layout Table. </p>
<p>The <a class="el" href="group__m17nFLT.html#gaad4554d5e2eea550061234debdf6f0c8" title="Dump a Font Layout Table.">mdebug_dump_flt()</a> function prints the Font Layout Table <b>flt</b> in a human readable way to the stderr or to what specified by the environment variable MDEBUG_OUTPUT_FILE. <b>indent</b> specifies how many columns to indent the lines but the first one.</p>
<dl class="user"><dt><b>Return value:</b></dt><dd>This function returns <b>flt</b>. </dd></dl>

</div>
</div>
<a class="anchor" id="ga117deb444c67e3e003f9727ca54cb095"></a><!-- doxytag: member="m17n&#45;flt.c::mflt_dump_gstring" ref="ga117deb444c67e3e003f9727ca54cb095" args="(MFLTGlyphString *gstring)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void mflt_dump_gstring </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structMFLTGlyphString.html">MFLTGlyphString</a> *&nbsp;</td>
          <td class="paramname"> <em>gstring</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Dump an <a class="el" href="structMFLTGlyphString.html" title="Type of information about a glyph sequence.">MFLTGlyphString</a>. </p>
<p>The <a class="el" href="group__m17nFLT.html#ga117deb444c67e3e003f9727ca54cb095" title="Dump an MFLTGlyphString.">mflt_dump_gstring()</a> function prints the glyph sequence <b>gstring</b> in a human readable way to the stderr or to what specified by the environment variable MDEBUG_OUTPUT_FILE. </p>

</div>
</div>
<hr/><h2>Variable Documentation</h2>
<a class="anchor" id="ga8fa9d49e4291440961b37717afce653b"></a><!-- doxytag: member="m17n&#45;flt.c::mflt_enable_new_feature" ref="ga8fa9d49e4291440961b37717afce653b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="group__m17nFLT.html#ga8fa9d49e4291440961b37717afce653b">mflt_enable_new_feature</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Flag to control several new OTF handling commands. </p>
<p>If the variable mflt_enable_new_feature is nonzero, the function <a class="el" href="group__m17nFLT.html#gab7bf42cc0f306fb6058ba5d10e79e27d" title="Layout characters with an FLT.">mflt_run()</a> can drive a Font Layout Table that contains the new OTF-related commands ":otf?" and/or OTF feature specification in a category table. </p>

</div>
</div>
<a class="anchor" id="ga2286495d42b49ce59cb0730482a89c70"></a><!-- doxytag: member="m17n&#45;flt.c::mflt_iterate_otf_feature" ref="ga2286495d42b49ce59cb0730482a89c70" args=")(struct _MFLTFont *font, MFLTOtfSpec *spec, int from, int to, unsigned char *table)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int(* <a class="el" href="group__m17nFLT.html#ga2286495d42b49ce59cb0730482a89c70">mflt_iterate_otf_feature</a>)(struct _MFLTFont *font, <a class="el" href="structMFLTOtfSpec.html">MFLTOtfSpec</a> *spec, int from, int to, unsigned char *table)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ga34b4a542edc38d30fe6c5fc326b5a987"></a><!-- doxytag: member="m17n&#45;flt.c::mflt_font_id" ref="ga34b4a542edc38d30fe6c5fc326b5a987" args=")(struct _MFLTFont *font)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>(* <a class="el" href="group__m17nFLT.html#ga34b4a542edc38d30fe6c5fc326b5a987">mflt_font_id</a>)(struct _MFLTFont *font)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="gac5e9a0518e0ca3b1ead5a7a9050846bb"></a><!-- doxytag: member="m17n&#45;flt.c::mflt_try_otf" ref="gac5e9a0518e0ca3b1ead5a7a9050846bb" args=")(struct _MFLTFont *font, MFLTOtfSpec *spec, MFLTGlyphString *gstring, int from, int to)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int(* <a class="el" href="group__m17nFLT.html#gac5e9a0518e0ca3b1ead5a7a9050846bb">mflt_try_otf</a>)(struct _MFLTFont *font, <a class="el" href="structMFLTOtfSpec.html">MFLTOtfSpec</a> *spec, <a class="el" href="structMFLTGlyphString.html">MFLTGlyphString</a> *gstring, int from, int to)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>Defines</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-en/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
